org.eclipse.jetty.websocket

## Interface WebSocket.OnBinaryMessage

- All Superinterfaces:
    WebSocket
  Enclosing interface:
    WebSocket

      public static interface WebSocket.OnBinaryMessage
      extends WebSocket

  A nested WebSocket interface for receiving binary messages

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.jetty.websocket.WebSocket

      `WebSocket.Connection, WebSocket.FrameConnection, WebSocket.OnBinaryMessage, WebSocket.OnControl, WebSocket.OnFrame, WebSocket.OnTextMessage`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onMessage(byte[] data, int offset, int length)` Called with a complete binary message when all fragments have been received.

    - ### Methods inherited from interface org.eclipse.jetty.websocket.WebSocket

      `onClose, onOpen`

- - ### Method Detail

    - #### onMessage

          void onMessage(byte[] data,
                       int offset,
                       int length)

      Called with a complete binary message when all fragments have been received. The maximum size of binary message that may be aggregated from multiple frames is set with `WebSocket.Connection.setMaxBinaryMessageSize(int)`.
      Parameters:
        `data` -
        `offset` -
        `length` -

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.